<template>
  <popup ref="popup" @close="close">
    <div class="skmpay-panel">
      <div class="content">
        <div class="close-button">
          <close-button @click="() => $refs.popup && $refs.popup.close()" />
        </div>
        <div class="header">
          <div class="header-title">請選擇您的付款方式</div>
        </div>
        <div class="dishes">
          <div class="section">
            <div class="row  justify-content-center">
              <div class="col col-5 col-md-auto px-4">
                <label class="paytype-container">
                  <input
                    type="radio"
                    class="d-none"
                    v-model="payType"
                    value="CartSkmPayEncry"
                  />
                  <span class="paytype paytype-skmpay">
                    <img src="/static/images/skmpay/skmpay.svg" alt="" />
                  </span>
                </label>
              </div>
              <div class="col col-5 col-md-auto px-4">
                <label class="paytype-container">
                  <input
                    type="radio"
                    class="d-none"
                    v-model="payType"
                    value="CartPayEncry"
                  />
                  <span class="paytype paytype-credit">
                    <img src="/static/images/skmpay/credit.svg" alt="" />
                  </span>
                </label>
              </div>
            </div>
          </div>
        </div>
        <button class="submit" :disabled="submitted" @click="submit">
          確認付款
        </button>
      </div>
    </div>
  </popup>
</template>

<script>
import Popup from "../Popup";
import CloseButton from "@/components/CloseButton";

export default {
  props: {},

  components: {
    Popup,
    CloseButton
  },

  data() {
    return {
      submitted: false,
      payType: "CartSkmPayEncry"
    };
  },

  computed: {},

  methods: {
    close() {
      this.$emit("close");
    },
    submit() {
      if (this.payType) {
        this.submitted = true;
        this.$emit("submit", this.payType);
        window.gtag("event", "選擇付款方式", {
          event_label: this.payType
        });
      } else {
        alert("請選擇您的付款方式");
      }
    }
  },

  mounted() {}
};
</script>

<style lang="scss" scoped>
.skmpay-panel {
  position: relative;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  user-select: none;
  text-align: center;
  box-sizing: border-box;

  @include media-breakpoint-up(md) {
    &::after {
      content: "";
      display: inline-block;
      height: 100%;
      width: 0;
      vertical-align: middle;
    }
  }
}

.content {
  display: flex;
  flex-direction: column;
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: $color-white;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  overflow: hidden;
  text-align: left;

  @include media-breakpoint-up(md) {
    display: inline-flex;
    width: 540px;
    position: relative;
    vertical-align: middle;
    max-height: 90vh;
  }
}

.close-button {
  position: absolute;
  z-index: 1;
  top: 10px;
  right: 10px;
  width: 32px;
  height: 32px;
  vertical-align: middle;

  @include media-breakpoint-up(md) {
    top: 20px;
    right: 20px;
  }
}

.header {
  position: relative;
  overflow: hidden;
  padding-top: 60px;
  @include media-breakpoint-up(md) {
    padding-top: 0;
  }
}

.header-title {
  text-align: center;
  font-size: 24px;
  font-weight: 500;
  margin: 20px 0;
}

.section {
  padding: 100px 10px;
}

.paytype {
  display: block;
  background-size: cover;
  cursor: pointer;

  &-container {
    display: block;
  }

  @include media-breakpoint-up(md) {
    width: 100px;
    height: 100px;
  }
  img {
    width: 100%;
    display: block;
    visibility: hidden;
  }
  &-skmpay {
    background: url(/static/images/skmpay/skmpay.svg) no-repeat;
    &:hover {
      background: url(/static/images/skmpay/skmpay-on.svg) no-repeat;
    }
  }
  &-credit {
    background: url(/static/images/skmpay/credit.svg) no-repeat;
    &:hover {
      background: url(/static/images/skmpay/credit-on.svg) no-repeat;
    }
  }
}

.dishes {
  height: 100%;
}

input:checked ~ .paytype-credit {
  background: url(/static/images/skmpay/credit-on.svg) no-repeat;
}
input:checked ~ .paytype-skmpay {
  background: url(/static/images/skmpay/skmpay-on.svg) no-repeat;
}

.submit {
  flex-grow: 0;
  flex-shrink: 0;
  height: 48px;
  width: 100%;
  border: none;
  background: $color-skm-red;
  color: $color-white;
  padding: 0;
  margin: 0;
  line-height: 48px;
  font-size: 16px;
  font-weight: 500;
  cursor: pointer;

  &:disabled {
    background: $color-silver-grey;
    cursor: default;
  }
}
</style>
